
Pre-Development - Bug #20036

FE - React - User Role - Issue when modify the form it will add new data

12 March 2024 01:38 PM - Hazimi Muhammad

Status: Feedback Start date: 12 March 2024

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Issue :

Go to User Role in the menu -> click search button -> click data in the table -> click modify button -> change the value -> click save

button -> the data in the table has been add new one.

Expected :

Go to User Role in the menu -> click search button -> click data in the table -> click modify button -> change the value -> click save

button -> the data in the table should been modified.

History

#1 - 12 March 2024 03:33 PM - Zaid Haritsah

- Status changed from New to Resolved

- % Done changed from 0 to 100

Please change the modify function for RoleName field to Read-Only. RoleName is the PK for userRole table and should not be updateable.

#2 - 12 March 2024 03:34 PM - Zaid Haritsah

- Assignee changed from Zaid Haritsah to Hazimi Muhammad

#3 - 13 March 2024 10:47 AM - Hazimi Muhammad

- Status changed from Resolved to Assigned

- Assignee changed from Hazimi Muhammad to Nityanantan Nityanantan

#4 - 13 March 2024 02:25 PM - Nityanantan Nityanantan

- Status changed from Assigned to Feedback

- Assignee changed from Nityanantan Nityanantan to Hazimi Muhammad

nity- Update UserRoleForm.tsx to disable user role name in view mode

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/a21958424a8e6302b8431519eb765c015eb289a8

#5 - 20 March 2024 09:44 AM - Hazimi Muhammad

- Assignee changed from Hazimi Muhammad to chok yee fan

issue has been fixed

Go to User Role in the menu -> click search button -> click data in the table -> click modify button -> change the value -> click save button -> the data

in the table should been modified.
